
import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("io.objectbox")
    kotlin("kapt")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    signingConfigs {
        create("release") {
            storeFile =
                file("D:\\Project\\TuringWallpapers\\app\\TuringWallpapers.jks")
            storePassword = "123456"
            keyAlias = "TuringWallpapersKey0"
            keyPassword = "123456"
        }
    }
    namespace = "com.wall.turing.wallpapers"
    compileSdk = 36

    defaultConfig {
        //com.wall.turing.wallpapers
        applicationId = "com.wall.turing.wallpapers"
        minSdk = 24
        targetSdk = 36
        versionCode = 2
        versionName = "1.1"

        setProperty("archivesBaseName", "Turing Wallpapers_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.live.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures{
        viewBinding = true
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {
    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.11.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    testImplementation("junit:junit:4.13.2")
    implementation ("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0") // Glide Transformations

    // Import the Firebase BoM
    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics-ndk")
    implementation("com.google.firebase:firebase-analytics")
    // google ads
    implementation ("com.google.android.gms:play-services-ads-identifier:18.0.1")
    // okhttp
    implementation("com.squareup.okhttp3:okhttp:5.3.1")
    implementation("com.squareup.okhttp3:logging-interceptor:5.3.1")

    // TradPlus
    implementation("com.tradplusad:tradplus:15.0.0.1")
//noinspection GradleCompatible
    implementation("androidx.legacy:legacy-support-v4:1.0.0")
    implementation("androidx.appcompat:appcompat:1.3.0-alpha02")
// Liftoff
    implementation("com.tradplusad:tradplus-vunglex:7.15.0.0.1")
    implementation("com.vungle:vungle-ads:7.6.0")
// Cross Promotion
    implementation("com.tradplusad:tradplus-crosspromotion:27.15.0.0.1")
// TP Exchange
// 请注意保持与主包版本同步更新
    implementation("com.google.code.gson:gson:2.8.6")
    implementation("com.tradplusad:tp_exchange:40.15.0.20.1")

}